public interface ICloudAccountAPI
| Modifier and Type | Method and Description |
|---|---|
CreateCloudAccountResponse |
addCloudAccount(CreateCloudAccountRequest createCloudAccountRequest)
Add a new cloud account.
|
DeleteCloudAccountResponse |
deleteCloudAccount(java.lang.Integer cloudAccountId,
java.lang.String sID)
Delete a cloud account.
|
CloudAccountElement |
getCloudAccount(java.lang.Integer cloudAccountId,
java.lang.String sID)
Get a specific cloud account.
|
CloudAccountListing |
getCloudAccounts(java.lang.String sID)
List configuration of all cloud accounts (Amazon, vCloud Private Cloud).
|
SynchronizeCloudAccountResponse |
synchronizeCloudAccount(java.lang.Integer cloudAccountId,
java.lang.String sID)
Synchronize a cloud account by ID.
|
TestCloudAccountResponse |
testCloudAccountConnection(java.lang.Integer cloudAccountId,
java.lang.String sID)
Test a cloud account connection against its supporting cloud provider.
|
UpdateCloudAccountResponse |
updateCloudAccount(java.lang.Integer cloudAccountId,
UpdateCloudAccountRequest updateCloudAccountRequest)
Update cloud account information.
|
CloudAccountListing getCloudAccounts(java.lang.String sID) throws java.lang.Exception
sID - session ID.java.lang.ExceptionCloudAccountElement getCloudAccount(java.lang.Integer cloudAccountId, java.lang.String sID) throws java.lang.Exception
cloudAccountId - Identifier uniquely identifying a cloud account.sID - session ID.404 Not Found when trying to retrieve a non-existent cloud account.java.lang.ExceptionCreateCloudAccountResponse addCloudAccount(CreateCloudAccountRequest createCloudAccountRequest) throws java.lang.Exception
Add a new cloud account.
The following fields of the CloudAccountElement are mandatory:
For AMAZON
For VCLOUD
For AZURE
createCloudAccountRequest - The request parameters.200 OK and a body containing response information when adding a cloud account succeeds.
It will return a response with status 400 Bad Request and a body containing an ErrorMessage when mandatory parameters are missing or validation fails.java.lang.ExceptionUpdateCloudAccountResponse updateCloudAccount(java.lang.Integer cloudAccountId, UpdateCloudAccountRequest updateCloudAccountRequest) throws java.lang.Exception
cloudAccountId - Identifier uniquely identifying the cloud account to update.updateCloudAccountRequest - The request parameters200 OK and a body containing response information when updating a cloud account succeeds.
It will return a response with status 400 Bad Request and a body containing an ErrorMessage when trying
to modify an unsupported attribute or when trying to
modify a non-existent cloud account.java.lang.ExceptionDeleteCloudAccountResponse deleteCloudAccount(java.lang.Integer cloudAccountId, java.lang.String sID) throws java.lang.Exception
cloudAccountId - Identifier uniquely identifying the cloud account to delete.sID - session ID.200 OK and a body containing response information when deletion was successful.
If the id is null or empty, it will return a response with status 400 Bad Request and a body containing an ErrorMessage.java.lang.ExceptionSynchronizeCloudAccountResponse synchronizeCloudAccount(java.lang.Integer cloudAccountId, java.lang.String sID) throws java.lang.Exception
cloudAccountId - Identifier uniquely identifying the cloud account to synchronize.sID - session ID.200 OK and a body containing response information when synchronization was successful.
If the id is null or empty, it will return a response with status 400 Bad Request and a body containing an ErrorMessage.java.lang.ExceptionTestCloudAccountResponse testCloudAccountConnection(java.lang.Integer cloudAccountId, java.lang.String sID) throws java.lang.Exception
cloudAccountId - Identifier uniquely identifying the cloud account to test.sID - session ID.200 OK and a body containing response information when the connection to the supporting
cloud provider was successful.
If the cloudAccountId is null or empty, it will return a response with status 400 Bad Request and a body containing an ErrorMessage.java.lang.ExceptionCopyright © 2015 Trend Micro Inc. All Rights Reserved.